package com.ekexiu.portal.po;

import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.enums.DE;

import com.ekexiu.portal.basepo.CreateTimeSupported;
import com.ekexiu.portal.pojo.EditProfessor;

@PrimaryKey("id")
@Table
public class LeaveWord implements CreateTimeSupported {
	private String id;
	private String content;
	private String sender;
	private String articleId;
	private String createTime;
	private long orderKey;
	private EditProfessor professor;
	
	public EditProfessor getProfessor() {
		return professor;
	}
	public void setProfessor(EditProfessor professor) {
		this.professor = professor;
	}
	@Column(DE.id_32)
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	@Column(DE.text_de)
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	@Column(DE.id_32)
	public String getSender() {
		return sender;
	}
	public void setSender(String sender) {
		this.sender = sender;
	}
	@Column(DE.id_32)
	public String getArticleId() {
		return articleId;
	}
	public void setArticleId(String articleId) {
		this.articleId = articleId;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	@Column(DE.long_de)
	public long getOrderKey() {
		return orderKey;
	}
	public void setOrderKey(long orderKey) {
		this.orderKey = orderKey;
	}
	
}
