package com.ekexiu.portal.util;

import java.io.IOException;

import javax.servlet.Servlet;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public class PictureVC extends HttpServlet implements Servlet {  
  
	private static final long serialVersionUID = 2459158903781864570L;

	public void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {  
        response.setHeader("Pragma", "No-cache");  
        response.setHeader("Cache-Control", "no-cache");  
        response.setDateHeader("Expires", 0);  
        response.setContentType("image/jpeg");  
        HttpSession session = request.getSession();
        //生成随机字符串  
        String verifyCode = VerifyCodeUtils.generateVerifyCode(4);
        //将验证码设置到session里 方便验证
        session.setAttribute("verification", verifyCode);
        //生成图片  
        int w = 100, h = 40;  
        VerifyCodeUtils.outputImage(w, h, response.getOutputStream(), verifyCode);  
  
    }  
} 
